aboutsummaryrefslogtreecommitdiff
path: root/templates
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2017-06-05 19:02:42 -0300
committerSilvio Rhatto <rhatto@riseup.net>2017-06-05 19:02:42 -0300
commita0cf3162460993ce01a4b6c6fcd520c14c958332 (patch)
tree87beb7bdcd31806dfd3b40ed646366d91cdbff85 /templates
parent554e7acae0878e44374f7ecaf3bae2e15e0a132d (diff)
downloadpuppet-backup-a0cf3162460993ce01a4b6c6fcd520c14c958332.tar.gz
puppet-backup-a0cf3162460993ce01a4b6c6fcd520c14c958332.tar.bz2
Changes for puppet 4 compatibility
Diffstat (limited to 'templates')
-rw-r--r--templates/duplicity.conf.erb10
1 files changed, 5 insertions, 5 deletions
diff --git a/templates/duplicity.conf.erb b/templates/duplicity.conf.erb
index 3f2cf9e..846f9de 100644
--- a/templates/duplicity.conf.erb
+++ b/templates/duplicity.conf.erb
@@ -29,10 +29,10 @@ mkdir -p $BACKUP_FOLDER
# adds support for checking the existing backup
if [ "$1" == "--check" ]; then
- duplicity collection-status file:///$BACKUP_FOLDER
+ duplicity collection-status file:////$BACKUP_FOLDER
else
# cleanup any previous broken backups
- duplicity cleanup file:///$BACKUP_FOLDER --force
+ duplicity cleanup file:////$BACKUP_FOLDER --force
# remove dangling lockfiles
if [ -z "`pidof duplicity`" ]; then
@@ -43,14 +43,14 @@ else
# have greater precedence; see duplicity(1) for more info
duplicity -v6 --full-if-older-than $FULL_IF_OLDER_THAN \
--tempdir $TMP --encrypt-key $ENCRYPT_KEY --sign-key $SIGN_KEY \
- --exclude $TMP $EXCLUDE $INCLUDE --exclude '**' / file:///$BACKUP_FOLDER
+ --exclude $TMP $EXCLUDE $INCLUDE --exclude '**' / file:////$BACKUP_FOLDER
if [ "$?" != "0" ]; then
fatal "Duplicity backup failed."
fi
- duplicity remove-older-than $REMOVE_OLDER_THAN file:///$BACKUP_FOLDER --force || exit 1
- duplicity remove-all-but-n-full $REMOVE_ALL_BUT_N_FULL file:///$BACKUP_FOLDER --force || exit 1
+ duplicity remove-older-than $REMOVE_OLDER_THAN file:////$BACKUP_FOLDER --force || exit 1
+ duplicity remove-all-but-n-full $REMOVE_ALL_BUT_N_FULL file:////$BACKUP_FOLDER --force || exit 1
if [ "$?" != "0" ]; then
fatal "Removal of old backups failed."